Send data to the task worker processes.

- « Swoole\Server::stop

- Swoole\Server::taskwait »

- PHP Manual
- Swoole\Server
- Send data to the task worker processes.

# Swoole\Server::task

(PECL swoole >= 1.9.0)

Swoole\Server::task — Send data to the task worker processes.

### Description

public Swoole\Server::task(string `$data`, int `$dst_worker_id` = ?, callable `$callback` = ?): mixed

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`data`

`dst_worker_id`

`callback`

### Return Values